/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.publisher.web.util;

import com.liferay.rss.model.SyndContent;
import com.liferay.rss.model.SyndEntry;
import com.liferay.rss.model.SyndFeed;
import com.liferay.rss.model.SyndLink;
import com.liferay.rss.model.SyndModelFactory;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Matthew Tambara
 */
@Component(immediate = true)
public class SyndModelFactoryUtil {

	public static SyndContent createSyndContent() {
		return _syndModelFactory.createSyndContent();
	}

	public static SyndEntry createSyndEntry() {
		return _syndModelFactory.createSyndEntry();
	}

	public static SyndFeed createSyndFeed() {
		return _syndModelFactory.createSyndFeed();
	}

	public static SyndLink createSyndLink() {
		return _syndModelFactory.createSyndLink();
	}

	@Reference(unbind = "-")
	protected void setSyndModelFactory(SyndModelFactory syndModelFactory) {
		_syndModelFactory = syndModelFactory;
	}

	private static SyndModelFactory _syndModelFactory;

}